<?php
/** 
 *	AERO SHORTCODES POPUP
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
// loads the shortcodes class, wordpress is loaded with it.
require_once( 'shortcodes.class.php' );

// get popup type
$popup = trim( $_GET['popup'] );
$shortcode = new aero_shortcodes( $popup ); ?>
	
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head></head>
<body>
<div id="aero-popup">
	<div id="aero-shortcode-wrap">
		<div id="aero-sc-form-wrap">
			<div id="aero-sc-form-head">
				<?php echo $shortcode->popup_title; ?>
			</div>
			<form method="post" id="aero-sc-form">
				<table id="aero-sc-form-table">
					<?php echo $shortcode->output; ?>
					<tbody>
						<tr class="form-row">
							<?php if( ! $shortcode->has_child ) : ?><td class="label">&nbsp;</td><?php endif; ?>
							<td class="field"><a href="#" class="button-primary aero-insert">Insert Shortcode</a></td>							
						</tr>
					</tbody>
				</table>
			</form>
		</div>
		<div id="aero-sc-preview-wrap">
			<div id="aero-sc-preview-head">
				<?php _e('Shortcode Preview', TXTDOMAIN); ?>
			</div>
			<?php if( $shortcode->no_preview ) : ?>
			<div id="aero-sc-nopreview"><?php _e('Shortcode has no preview', TXTDOMAIN); ?></div>		
			<?php else : ?>			
			<iframe src="<?php echo AERO_FRAMEWORK_DIRECTORY ?>shortcodes/preview.php?sc=" width="249" frameborder="0" id="aero-sc-preview"></iframe>
			<?php endif; ?>
			
		</div>
		<div class="clear"></div>
	</div>
</div>
</body>
</html>