<div id="comments">
	<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', TXTDOMAIN ); ?></p>
</div><!-- #comments -->

	<?php return; endif; ?>
	
	<?php // You can start editing here -- including this comment! ?>
	
	<?php if ( have_comments() ) : ?>
	<h2 id="comments-title">
		<?php
		printf( _n( 'One comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', get_comments_number(), TXTDOMAIN ),
			number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
		?>
	</h2>

	<ol class="commentlist">
		<?php wp_list_comments( array( 'callback' => 'aero_comment' ) ); ?>
	</ol>
	
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
	<nav id="comment-nav">
		<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', TXTDOMAIN ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', TXTDOMAIN ) ); ?></div>
	</nav>
	<?php endif; // check for comment navigation ?>
	
	<?php elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.', TXTDOMAIN ); ?></p>
	<?php endif; ?>
	
	<div class="clear"></div>
	
	<?php 
	
	$comment_form_heading_text = aero_get_option('comment_form_heading_text');
	$comment_form_button_text = aero_get_option('comment_form_button_text');
	$cancel_reply_text = aero_get_option('cancel_reply_text');
	
	$comments_args = array(
        'title_reply' => $comment_form_heading_text,
		'label_submit' => $comment_form_button_text,
		'cancel_reply_link' => $cancel_reply_text,
	);
	
	comment_form( $comments_args ); ?>

</div><!-- #comments -->