<?php get_header(); ?>
	
	<?php
	$layout = aero_get_option('general_layout');
	switch ( $layout ) {
		case 'left_sidebar' :
			$primary_class = 'grid_8 right';
			break;
	
		default:
			$primary_class = 'grid_8';
			break;
	}
	?>
	
	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<?php
		/* Portfolio Settings */
		$posts_per_page = aero_get_option('portfolio_posts_per_page');
		?>
		<div id="content" class="clearfix">
			<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="post-box grid_4 <?php aero_post_box_class(); ?>">
						<?php get_template_part('content', 'portfolio'); ?>
					</div>
				<?php endwhile; ?>
			
			<?php else : ?>
				<div class="post-box grid_8 alpha omega">
					<article id="post-0" class="post no-results not-found singular-entry clearfix">
						<header class="entry-header">
							<h1 class="entry-title"><?php _e( 'Nothing Found', TXTDOMAIN ); ?></h1>
						</header><!-- .entry-header -->

						<div class="entry-content">
							<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', TXTDOMAIN ); ?></p>
							<?php get_search_form(); ?>
						</div><!-- .entry-content -->
					</article><!-- #post-0 -->
				</div>
			<?php endif; ?>
			
			<div id="navigation" class="grid_8 alpha omega" role="navigation">
			<?php 
				
			/* Navigation settings */
			$pagenavi_style = aero_get_option('pagenavi_style');
			$pagenavi_next_text = aero_get_option('pagenavi_next_text');
			$pagenavi_prev_text = aero_get_option('pagenavi_prev_text');
				
			if( $pagenavi_style == 'numbered' ) { 
				pagenavi(); 
			} else { ?>
				<div class="left"><?php previous_posts_link($pagenavi_prev_text) ?></div>
				<div class="right"><?php next_posts_link($pagenavi_next_text ) ?></div>
			<?php } ?>
			</div><!--#navigation-->
		</div><!--#content-->
	</div>
	<!--#primary-->	
	
	<?php get_sidebar('portfolio'); ?>
	
<?php get_footer(); ?>