<?php
/** 
 *	AERO FRAMEWORK
 * 	---------------------------------------------------------------------------
 *	
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *
 *	@credits	: Devin Price, http://wptheming.com
 *	@credits	: Dimas Begunoff, http://farinspace.com
 *	@credits	: Boutros AbiChedid, http://bacsoftwareconsulting.com
 *	@credits	: Austin Matzko, http://ilfilosofo.com
 *	@credits	: Ben Gillbanks and Mark Maunder, http://www.binarymoon.co.uk/projects/timthumb/
 *
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Aero Framework Definitions
 *	---------------------------------------- */
	define('AERO_FRAMEWORK_VERSION', '1.0');
	define('AERO_FRAMEWORK_PATH', TEMPLATEPATH . '/aero/');
	define('AERO_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/aero/');
	define('AERO_FRAMEWORK_PREFIX', 'aero');
	
/*	Include Related Code
 *	---------------------------------------- */	
	require_once(AERO_FRAMEWORK_PATH . 'aero-general-functions.php');
	require_once(AERO_FRAMEWORK_PATH . 'aero-custom-functions.php');
	require_once(AERO_FRAMEWORK_PATH . 'options/admin-framework.php');
	require_once(AERO_FRAMEWORK_PATH . 'options/admin-sidebar-manager.php');
	require_once(AERO_FRAMEWORK_PATH . 'options/admin-sidebar-init.php');
	require_once(AERO_FRAMEWORK_PATH . 'shortcodes/tinymce.loader.php');
	require_once(AERO_FRAMEWORK_PATH . 'shortcodes/shortcodes.php');
	require_once(AERO_FRAMEWORK_PATH . 'metabox/metabox-config.php');
	require_once(AERO_FRAMEWORK_PATH . 'plugins/breadcrumbs.php');
	require_once(AERO_FRAMEWORK_PATH . 'plugins/pagenavi.php');
	require_once(AERO_FRAMEWORK_PATH . 'plugins/filosofo-custom-image-sizes.php');
	require_once(AERO_FRAMEWORK_PATH . 'widgets/widgets.php');
	require_once(AERO_FRAMEWORK_PATH . 'register-portfolio.php');
?>