<?php
/** 
 *	Aero Page Metabox Template
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		www.my-themes.com
 *	@credits 	http://farinspace.com, http://github.com/farinspace/wpalchemy
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com
 *				Copyright (c) 2009, Dimas Begunoff, http://farinspace.com
 *	--------------------------------------------------------------------------- */
?>
	<div id="aero-metabox">
		<div id="aero-metabox-section-custom-layout" class="aero-metabox-section">
			<h4><?php _e( 'Page Layout', TXTDOMAIN ); ?></h4>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('page_layout'); ?>
					<div class="select_wrapper">
						<select class="select" name="<?php $mb->the_name(); ?>">
							<option value="2cr"<?php $mb->the_select_state('2cr'); ?>>Right Sidebar</option>
							<option value="2cl"<?php $mb->the_select_state('2cl'); ?>>Left Sidebar</option>
							<option value="1col"<?php $mb->the_select_state('1col'); ?>>Full Width</option>
						</select>
					</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Choose a layout for this post.</p>
				</div>	
				<div class="clear"></div>
			</div>
		</div>
	</div>