<?php
/** 
 *	Aero Post Cutom Metabox Template
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		www.my-themes.com
 *	@credits 	http://farinspace.com, http://github.com/farinspace/wpalchemy
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com
 *				Copyright (c) 2009, Dimas Begunoff, http://farinspace.com
 *	--------------------------------------------------------------------------- */
?>
	
	<div id="aero-metabox">
		<div id="aero-metabox-section-custom-excerpt" class="aero-metabox-section">
			<h4><?php _e( 'Single Post Featured Image', TXTDOMAIN ); ?></h4>
		
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('single_featured_image'); ?>
					<div class="select_wrapper">
						<select class="select" name="<?php $mb->the_name(); ?>">
							<option value="yes"<?php $mb->the_select_state('yes'); ?>>Yes, display it.</option>
							<option value="no"<?php $mb->the_select_state('no'); ?>>No, don't display it.</option>
						</select>
					</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>You can disable or enable featured image on the single post by select this option. This option applies only to the post with a standard type.</p>
				</div>	
				<div class="clear"></div>
			</div>
			
			<h4><?php _e( 'Author Information Box', TXTDOMAIN ); ?></h4>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('author_box'); ?>
					<div class="select_wrapper">
						<select class="select" name="<?php $mb->the_name(); ?>">
							<option value="yes"<?php $mb->the_select_state('yes'); ?>>Yes, display it.</option>
							<option value="no"<?php $mb->the_select_state('no'); ?>>No, don't display it.</option>
						</select>
					</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>select this option to specify whether you want to display the author information of this post or not.</p>
				</div>	
				<div class="clear"></div>
			</div>
		</div>
	</div>