<?php
/** 
 *	Aero Post Format Metabox Template
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		www.my-themes.com
 *	@credits 	http://farinspace.com, http://github.com/farinspace/wpalchemy
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com
 *				Copyright (c) 2009, Dimas Begunoff, http://farinspace.com
 *	--------------------------------------------------------------------------- */
?>
	
<?php global $aero_media_access; ?>

	<div id="aero-metabox">
		<div id="aero-metabox-section-audio" class="aero-metabox-section">
			<h4><?php _e( 'Audio Post Format', TXTDOMAIN ); ?></h4>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('audio_format'); ?>
					<div class="select_wrapper">
					<select class="select" name="<?php $mb->the_name(); ?>">
						<option value="">Select...</option>
						<option value="mp3"<?php $mb->the_select_state('mp3'); ?>>MP3</option>
						<option value="m4a"<?php $mb->the_select_state('m4a'); ?>>M4A</option>
						<option value="wav"<?php $mb->the_select_state('wav'); ?>>WAV</option>
					</select>
					</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Select the format of audio file</p>
				</div>	
				<div class="clear"></div>
			</div>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option uploader">
					<?php $mb->the_field('audio_file'); ?>
					<?php $aero_media_access->setGroupName('audio_file-')->setInsertButtonLabel('Insert this audio')->setTab('type'); ?>
					<?php echo $aero_media_access->getField( array( 'name' => $mb->get_the_name(), 'value' => $mb->get_the_value() ) ); ?>
					<?php echo $aero_media_access->getButton( array( 'label' => 'Add Audio' ) ); ?>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Upload your audio file here or enter the url on the input field</p>
				</div>	
				<div class="clear"></div>
			</div>
		
			<div class="aero-metabox-control">
				<div class="aero-metabox-option uploader">
					<?php $mb->the_field('audio_additional'); ?>
					<?php $aero_media_access->setGroupName('audio_additional-')->setInsertButtonLabel('Insert this audio')->setTab('type'); ?>
					<?php echo $aero_media_access->getField( array( 'name' => $mb->get_the_name(), 'value' => $mb->get_the_value() ) ); ?>
					<?php echo $aero_media_access->getButton( array( 'label' => 'Add Audio' ) ); ?>
				</div>
			
				<div class="aero-metabox-desc">
					<p>(Optional) If you have ogg/oga file upload here for compatibility in Firefox and Safari browsers</p>
				</div>	
				<div class="clear"></div>
			</div>
		</div>
		
		<div id="aero-metabox-section-video" class="aero-metabox-section">	
			<h4><?php _e( 'Video Post Format', TXTDOMAIN ); ?></h4>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('video_source'); ?>
					<div class="select_wrapper">
						<select class="select" name="<?php $mb->the_name(); ?>">
							<option value="">Select...</option>
							<option value="youtube"<?php $mb->the_select_state('youtube'); ?>>Youtube</option>
							<option value="vimeo"<?php $mb->the_select_state('vimeo'); ?>>Vimeo</option>
						</select>
					</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Select your video source</p>
				</div>		
				<div class="clear"></div>
			</div>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('video_url'); ?>
					<input type="text" name="<?php $mb->the_name(); ?>" value="<?php $mb->the_value(); ?>"/>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Enter the video url here</p>
				</div>	
				<div class="clear"></div>
			</div>
			
			<div class="aero-metabox-control">
				<div class="aero-metabox-option">
					<?php $mb->the_field('video_display'); ?>
						<div class="select_wrapper">
						<select class="select" name="<?php $mb->the_name(); ?>">
							<option value="">Select...</option>
							<option value="thumb"<?php $mb->the_select_state('thumb'); ?>>Post thumbnail</option>
							<option value="vthumb"<?php $mb->the_select_state('vthumb'); ?>>Video Thumbnail</option>
						</select>
						</div>
				</div>
			
				<div class="aero-metabox-desc">
					<p>Please choose the display of this post.</p>
				</div>		
				<div class="clear"></div>
			</div>
		</div>
	</div>