<?php
/** 
 *	Aero Shortcodes Configurations
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */

	/* Predefined Colors */
	$pre_color = array(
		'aqua' => 'Aqua',
		'black' => 'Black',
		'blue' => 'Blue',
		'brown' => 'Brown',
		'burlywood' => 'Burly Wood',
		'cadetblue' => 'Cadet Blue',
		'chocolate' => 'Chocolate',
		'coral' => 'Coral',
		'cornflower' => 'Corn Flower',
		'crimson' => 'Crimson',
		'darkblue' => 'Dark Blue',
		'darkcyan' => 'Dark Cyan',
		'darkgolden' => 'Dark Golden',
		'darkgray' => 'Dark Golden',
		'darkgreen' => 'Dark Green',
		'darkmagenta' => 'Dark Magenta',
		'darkorchid' => 'Dark Orchid',
		'darksalmon' => 'Dark Salmon',
		'darkseagreen' => 'Dark Sea Green',
		'darkslateblue' => 'Dark Slate Blue',
		'darkslategray' => 'Dark Slate Gray',
		'darkturquoise' => 'Dark Turquoise',
		'darkviolet' => 'Dark Violet',
		'deeppink' => 'Deep Pink',
		'deepskyblue' => 'Deep Sky Blue',
		'dimgray' => 'Dim Gray',
		'dodgerblue' => 'Dodger Blue',
		'firebrick' => 'Firebrick',
		'forestgreen' => 'Forest Green',
		'golden' => 'Golden',
		'gray' => 'Gray',
		'green' => 'Green',
		'indianred' => 'Indian Red',
		'indigo' => 'Indigo',
		'lightblue' => 'Light Blue',
		'lightcoral' => 'Light Coral',
		'lightseagreen' => 'Light Sea Green',
		'lightskyblue' => 'Light Sky Blue',
		'lightslategray' => 'Light Slate Gray',
		'lightsteelblue' => 'Light Steel Blue',
		'lime' => 'Lime',
		'maroon' => 'Maroon',
		'midnightblue' => 'Midnight Blue',
		'navy' => 'Navy',
		'olive' => 'Olive',
		'olivedrab' => 'Olive Drab',
		'orange' => 'Orange',
		'orchid' => 'Orchid',
		'peru' => 'Peru',
		'pink' => 'Pink',
		'purple' => 'Purple',
		'red' => 'Red',
		'rossybrown' => 'Rossy Brown',
		'seagreen' => 'Sea Green',
		'skyblue' => 'Sky Blue',
		'slateblue' => 'Slate Blue',
		'steelblue' => 'Steel Blue',
		'tan' => 'Tan',
		'teal' => 'Teal',
		'thistle' => 'Thistle',
		'tomato' => 'Tomato',
		'turquoise ' => 'Turquoise ',
		'violet' => 'Violet',
		'yellow' => 'Yellow',
		'siena' => 'Siena',
		'silver' => 'Silver'
	);
		
/*	Column
 *	---------------------------------------- */
	$aero_shortcodes['columns'] = array(
		
		'params' => array(),
		'shortcode' => ' {{child_shortcode}} ',
		'popup_title' => __('Insert Columns Shortcode', TXTDOMAIN),
		'no_preview' => true,
	
		'child_shortcode' => array(
			
			'params' => array(
				
				'column' => array(
					'type' => 'select',
					'label' => __('Column Type', TXTDOMAIN),
					'desc' => __('Select the type, ie width of the column.', TXTDOMAIN),
					'options' => array( 
						'one_half' => 'One Half', 'one_half_last' => 'One Half Last',
						'one_third' => 'One Third', 'one_third_last' => 'One Third Last',
						'two_third' => 'Two Third', 'two_third_last' => 'Two Third Last',
						'one_fourth' => 'One Fourth', 'one_fourth_last' => 'One Fourth Last',
						'three_fourth' => 'Three Fourth', 'three_fourth_last' => 'Three Fourth Last',
						'one_fifth' => 'One Fifth', 'one_fifth_last' => 'One Fifth Last',
						'two_fifth' => 'Two Fifth', 'two_fifth_last' => 'Two Fifth Last',
						'three_fifth' => 'Three Fifth', 'three_fifth_last' => 'Three Fifth Last',
						'one_sixth' => 'One Sixth', 'one_sixth_last' => 'One Sixth Last',
						'five_sixth' => 'Five Sixth', 'five_sixth_last' => 'Five Sixth Last',
					)
				),
			
				'content' => array(
					'std' => '',
					'type' => 'textarea',
					'label' => __('Column Content', TXTDOMAIN),
					'desc' => __('Add the column content.', TXTDOMAIN),
				)
			
			),
		
			'shortcode' => '[{{column}}] {{content}} [/{{column}}] ',
			'clone_button' => __('Add More Column', TXTDOMAIN)
		)
	);
	
/*	Button
 *	---------------------------------------- */	
	$aero_shortcodes['button'] = array(
		'params' => array(
		
			'color' => array(
				'type' 	  => 'select',
				'label'   => __('Button Color', TXTDOMAIN),
				'desc' 	  => __('Choose the predefined button color', TXTDOMAIN),
				'options' => $pre_color
			),
			
			'custom_color' => array(
				'std' 	=> '',
				'type' 	  => 'text',
				'label'   => __('Custom Color', TXTDOMAIN),
				'desc' 	  => __('Enter the custom color here so selected color above will be ignored.', TXTDOMAIN),
			),
			
			'size' => array(
				'std' 	=> '',
				'type' 	=> 'select',
				'label' => __('Button Size', TXTDOMAIN),
				'desc' 	=> __('Select the button size', TXTDOMAIN),
				'options' => array(
					'normal' 	=> 'Normal',
					'large' 	=> 'Large'
				)
			),

			'url' => array(
				'std' 	=> '',
				'type' 	=> 'text',
				'label' => __('Button URL', TXTDOMAIN),
				'desc' 	=> __('Enter the button URL', TXTDOMAIN)
			),
		
			'target' => array(
				'type' 	=> 'select',
				'label' => __('Button Target', TXTDOMAIN),
				'desc' 	=> __('The target attribute specifies a window or a frame where the linked document is loaded.', TXTDOMAIN ),
				'options' => array(
					'_blank' 	=> '_blank',
					'_self' 	=> '_self',
					'_parent' 	=> '_parent',
					'_top' 		=> '_top'
				)
			),
		
			'content' => array(
				'std' 	=> 'Button Text',
				'type' 	=> 'text',
				'label' => __('Button Text', TXTDOMAIN),
				'desc' 	=> __('Enter the button text', TXTDOMAIN),
			),
		
		),
	
		'shortcode' => '[button url="{{url}}" size="{{size}}" color="{{color}}" custom_color="{{custom_color}}" icon="{{icon}}" target="{{target}}"] {{content}} [/button]',
		'popup_title' => __('Insert Button Shortcode', TXTDOMAIN)
	);
	
/*	Tabs
 *	---------------------------------------- */
	$aero_shortcodes['tabs'] = array(
		
		'params' => array(),
		'shortcode' => '[tabs] {{child_shortcode}}[/tabs]',
		'popup_title' => __('Insert Tabs Shortcode', TXTDOMAIN ),
		'no_preview' => true,
	
		// child shortcode is clonable & sortable
		'child_shortcode' => array(
			
			'params' => array(
				
				'title' => array(
					'type' => 'text',
					'label' => __('Tab Title', TXTDOMAIN ),
					'desc' => __('Add the title for this tab', TXTDOMAIN ),
					'std' => ''
				),
				'content' => array(
					'std' => '',
					'type' => 'textarea',
					'label' => __('Tab Content', TXTDOMAIN ),
					'desc' => __('Add the tab content.', TXTDOMAIN ),
				)
				
			),
			
			'shortcode' => '[tab title="{{title}}"] {{content}} [/tab] ',
			'clone_button' => __('Add More Tab', TXTDOMAIN )
		)
	);
	
/*	Accordion
 *	---------------------------------------- */
	$aero_shortcodes['accordion'] = array(
		
		'params' => array(),
		'shortcode' => '[accordion] {{child_shortcode}}[/accordion]',
		'popup_title' => __('Insert Accordion Shortcode', TXTDOMAIN ),
		'no_preview' => true,
	
		// child shortcode is clonable & sortable
		'child_shortcode' => array(
			
			'params' => array(
				
				'title' => array(
					'type' => 'text',
					'label' => __('Pane Title', TXTDOMAIN ),
					'desc' => __('Add the title for this pane', TXTDOMAIN ),
					'std' => ''
				),
				'content' => array(
					'std' => '',
					'type' => 'textarea',
					'label' => __('Pane Content', TXTDOMAIN ),
					'desc' => __('Add the pane content.', TXTDOMAIN ),
				)
				
			),
			
			'shortcode' => '[pane title="{{title}}"] {{content}} [/pane] ',
			'clone_button' => __('Add More Pane', TXTDOMAIN )
		)
	);

/*	Box
 *	---------------------------------------- */
	$aero_shortcodes['box'] = array(

		'params' => array(
		
			'style' => array(
				'type' 	=> 'select',
				'label' => __('Box Style', TXTDOMAIN),
				'desc' 	=> __('Please select the box style', TXTDOMAIN),
				'options' => array(
					'block'	=> 'Block',
					'error'	=> 'Error',
					'help'	=> 'Help',
					'info'	=> 'Info',
					'message' => 'Message',
					'schedule' => 'Schedule',
					'special_event1' => 'Special Event 1',
					'special_event2' => 'Specian Event 2',
					'success' => 'Success',
					'warning' => 'Warning'
				)
			),

			'content' => array(
				'std' 	=> 'Box Text',
				'type' 	=> 'text',
				'label' => __('Box\'s Text', TXTDOMAIN),
				'desc' 	=> __('Enter the box text', TXTDOMAIN),
			)
		),
	
		'shortcode' => '[box style="{{style}}"] {{content}} [/box]',
		'popup_title' => __('Insert Box Shortcode', TXTDOMAIN)
	);
	
/*	Dropcap
 *	---------------------------------------- */
	$aero_shortcodes['dropcap'] = array(

		'params' => array(
		
			'style' => array(
				'type' 	=> 'select',
				'label' => __('Dropcap Style', TXTDOMAIN),
				'desc' 	=> __('Please select the style', TXTDOMAIN),
				'options' => array(
					'dropcap' => 'Style 1',
					'dropcap2'	=> 'Style 2',
				)
			),

			'content' => array(
				'std' 	=> '',
				'type' 	=> 'text',
				'label' => __('Dropcap word', TXTDOMAIN),
				'desc' 	=> __('Enter the dropcap word', TXTDOMAIN),
			)
		),
	
		'shortcode' => '[dropcap style="{{style}}"] {{content}} [/dropcap]',
		'popup_title' => __('Insert Dropcap Shortcode', TXTDOMAIN)
	);
	
/*	Dropcap
 *	---------------------------------------- */
	$aero_shortcodes['divider'] = array(

		'params' => array(
		
			'style' => array(
				'type' 	=> 'select',
				'label' => __('Divider Style', TXTDOMAIN),
				'desc' 	=> __('Please select the style', TXTDOMAIN),
				'options' => array(
					'solid' => 'Solid',
					'dashed' => 'Dashed',
					'dotted' => 'Dotted',
					'double' => 'Double',
					'full-dotted' => 'Full Dotted',
				)
			),
			
		),
	
		'shortcode' => '[divider style="{{style}}"/]',
		'popup_title' => __('Insert Divider Shortcode', TXTDOMAIN)
	);
	
/*	Audio
 *	---------------------------------------- */
	$aero_shortcodes['audio'] = array(
		'no_preview' => true,
		'params' => array(
		
			'format' => array(
				'type' 	=> 'select',
				'label' => __('Audio Format', TXTDOMAIN),
				'desc' 	=> __('Please select the audio format', TXTDOMAIN),
				'options' => array(
					'mp3' => 'MP3',
					'm4a' => 'M4A',
					'wav' => 'WAV',
					'ogg' => 'OGG'
				)
			),
			
			'url' => array(
				'std' 	=> '',
				'type' 	=> 'text',
				'label' => __('Audio File', TXTDOMAIN),
				'desc' 	=> __('Enter audio url', TXTDOMAIN),
			),
			
			'id' => array(
				'std' 	=> '',
				'type' 	=> 'text',
				'label' => __('Unique ID', TXTDOMAIN),
				'desc' 	=> __('Give the unique ID to make it not conflict with another audio, you can enter number or letter without spacing', TXTDOMAIN),
			)
			
		),
	
		'shortcode' => '[audio url="{{url}}" format="{{format}}" id="{{id}}" /]',
		'popup_title' => __('Insert Audio Shortcode', TXTDOMAIN)
	);
?>