<?php
/** 
 *	AERO SHORTCODES
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Fix Column Shortcodes
 *	---------------------------------------- */
	add_filter('the_content', 'shortcode_empty_paragraph_fix');
    function shortcode_empty_paragraph_fix($content){   
        $array = array (
            '<p>[' => '[', 
            '[<p>' => '[', 
            ']</p>' => ']', 
            ']<br />' => ']'
        );

        $content = strtr($content, $array);

		return $content;
    }
	
/*	Column Shortcodes
 *	---------------------------------------- */
	
	/* One half */
	add_shortcode( 'one_half', 'aero_one_half' );
	function aero_one_half( $atts, $content = null ) {
		return '<div class="one_half">'. do_shortcode($content) . '</div>';
	}
	
	/* One half last */
	add_shortcode( 'one_half_last', 'aero_one_half_last' );
	function aero_one_half_last( $atts, $content = null ) {
		return '<div class="one_half last">' . do_shortcode($content) . '</div>';
	}
	
	/* One third */
	add_shortcode( 'one_third', 'aero_one_third' );
	function aero_one_third( $atts, $content = null ) {
		return '<div class="one_third">' . do_shortcode($content) . '</div>';
	}
	
	/* One third last */
	add_shortcode( 'one_third_last', 'aero_one_third_last' );
	function aero_one_third_last( $atts, $content = null ) {
		return '<div class="one_third last">' . do_shortcode($content) . '</div>';
	}
	
	/* Two third */
	add_shortcode( 'two_third', 'aero_two_third' );
	function aero_two_third( $atts, $content = null ) {
		return '<div class="two_third">' . do_shortcode($content) . '</div>';
	}
	
	/* Two third last */
	add_shortcode( 'two_third_last', 'aero_two_third_last' );
	function aero_two_third_last( $atts, $content = null ) {
		return '<div class="two_third last">' . do_shortcode($content) . '</div>';
	}
	
	/* One fourth */
	add_shortcode( 'one_fourth', 'aero_one_fourth' );
	function aero_one_fourth( $atts, $content = null ) {
		return '<div class="one_fourth">' . do_shortcode($content) . '</div>';
	}
	
	/* One fourth last */
	add_shortcode( 'one_fourth_last', 'aero_one_fourth_last' );
	function aero_one_fourth_last( $atts, $content = null ) {
		return '<div class="one_fourth last">' . do_shortcode($content) . '</div>';
	}
	
	/* Three fourth */
	add_shortcode( 'three_fourth', 'aero_three_fourth' );
	function aero_three_fourth( $atts, $content = null ) {
		return '<div class="three_fourth">' . do_shortcode($content) . '</div>';
	}
	
	/* Three fourth last */
	add_shortcode( 'three_fourth_last', 'aero_three_fourth_last' );
	function aero_three_fourth_last( $atts, $content = null ) {
		return '<div class="three_fourth last">' . do_shortcode($content) . '</div>';
	}
	
	/* One fifth */
	add_shortcode( 'one_fifth', 'aero_one_fifth' );
	function aero_one_fifth( $atts, $content = null ) {
		return '<div class="one_fifth">' . do_shortcode($content) . '</div>';
	}
	
	/* One fifth last */
	add_shortcode( 'one_fifth_last', 'aero_one_fifth_last' );
	function aero_one_fifth_last( $atts, $content = null ) {
		return '<div class="one_fifth last">' . do_shortcode($content) . '</div>';
	}
	
	/* Two fifth */
	add_shortcode( 'two_fifth', 'aero_two_fifth' );
	function aero_two_fifth( $atts, $content = null ) {
		return '<div class="two_fifth">' . do_shortcode($content) . '</div>';
	}
	
	/* Two fifth last */
	add_shortcode( 'two_fifth_last', 'aero_two_fifth_last' );
	function aero_two_fifth_last( $atts, $content = null ) {
		return '<div class="two_fifth last">' . do_shortcode($content) . '</div>';
	}
	
	/* Three fifth */
	add_shortcode( 'three_fifth', 'aero_three_fifth' );
	function aero_three_fifth( $atts, $content = null ) {
		return '<div class="three_fifth">' . do_shortcode($content) . '</div>';
	}
	
	/* Three fifth last */
	add_shortcode( 'three_fifth_last', 'aero_three_fifth_last' );
	function aero_three_fifth_last( $atts, $content = null ) {
		return '<div class="three_fifth last">' . do_shortcode($content) . '</div>';
	}
	
	/* One sixth */
	add_shortcode( 'one_sixth', 'aero_one_sixth' );
	function aero_one_sixth( $atts, $content = null ) {
		return '<div class="one_sixth">' . do_shortcode($content) . '</div>';
	}
	
	/* One sixth last */
	add_shortcode( 'one_sixth_last', 'aero_one_sixth_last' );
	function aero_one_sixth_last( $atts, $content = null ) {
		return '<div class="one_sixth last">' . do_shortcode($content) . '</div>';
	}
	
	/* Five sixth */
	add_shortcode( 'five_sixth', 'aero_five_sixth' );
	function aero_five_sixth( $atts, $content = null ) {
		return '<div class="five_sixth">' . do_shortcode($content) . '</div>';
	}
	
	/* Five sixth last */
	add_shortcode( 'five_sixth_last', 'aero_five_sixth_last' );
	function aero_five_sixth_last( $atts, $content = null ) {
		return '<div class="five_sixth last">' . do_shortcode($content) . '</div>';
	}
	
/*	Button
 *	---------------------------------------- */
	add_shortcode('button', 'aero_button');
	function aero_button( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'url' 		=> '#',
			'target' 	=> '_self',
			'color'   	=> '',
			'custom_color' => '',
			'size'		=> 'normal'
		), $atts));

		if ( $custom_color != '' ) :
			return '<a class="button '.$size.'" href="'.$url.'" target="'.$target.'" style="background-color:'.$custom_color.';border-color:'.$custom_color.'">' . do_shortcode($content) . '</a>';
		else :
			return '<a class="button '.$color.' '.$size.'" href="'.$url.'" target="'.$target.'">' . do_shortcode($content) . '</a>';
		endif;
	}

/*	Tabs
 *	---------------------------------------- */	
	add_shortcode('tabs', 'aero_tabs');
	
	global $tabs_array, $tabs_count;
	
	$tabs_count = 0;
	
	function aero_tabs( $atts, $content = null ) {

		global $tabs_array, $tabs_count;
			
		do_shortcode( $content );
		
		$output = '';
	
		if( is_array( $tabs_array ) ) {
			$a = 0;
			$b = 0;
			$output .= '<div class="tabs-content">';
			$output .= '<ul class="tabs">';
		
			foreach( $tabs_array as $tab ) {
				$a++;
				$output .= '<li><a title="'.$tab['title'].'" href="#">'.$tab['title'].'</a></li>';
			}
		
			$output .= '</ul>';
			$output .= '<div class="panes">';
		
			foreach( $tabs_array as $tab ) {
				$b++;
				$output .= '<div>'.do_shortcode( $tab['content'] ).'</div>';
			}
			
			$output .= '</div>';
			$output .= '</div>';
		
			return $output;
		}
	}
	
	add_shortcode('tab', 'aero_tabs_panes');
	
	function aero_tabs_panes( $atts, $content = null ) {
		global $tabs_array, $tabs_count;
	
		extract(shortcode_atts(array(
			'title' => 'Title goes here'
		), $atts));
	
		$tabs_array[] = array(
			'title' => $title,
			'content' => do_shortcode( $content )
		);
	
		$tabs_count++;
	}
	
/*	Accordion
 *	---------------------------------------- */	
	add_shortcode('accordion', 'aero_accordion');
	
	global $accordion_array, $accordion_count;
	
	$accordion_count = 0;
	
	function aero_accordion( $atts, $content = null ) {

		global $accordion_array, $accordion_count;
			
		do_shortcode( $content );
		
		$output = '';
	
		if( is_array( $accordion_array ) ) {
			$a = 0;
			$output .= '<div class="accordion">';
		
			foreach( $accordion_array as $pane ) {
				$a++;
				if ( $a == 1 ) :
				$output .= '<h2 class="current">'.$pane['title'].'</h2>';
				$output .= '<div class="pane" style="display:block">'.do_shortcode( $pane['content'] ).'</div>';
				else :
				$output .= '<h2>'.$pane['title'].'</h2>';
				$output .= '<div class="pane">'.do_shortcode( $pane['content'] ).'</div>';
				endif;
			}
			
			$output .= '</div>';
		
			return $output;
		}
	}
	
	add_shortcode('pane', 'aero_accordion_panes');
	
	function aero_accordion_panes( $atts, $content = null ) {
		global $accordion_array, $accordion_count;
	
		extract(shortcode_atts(array(
			'title' => 'Title goes here'
		), $atts));
	
		$accordion_array[] = array(
			'title' => $title,
			'content' => do_shortcode( $content )
		);
	
		$accordion_count++;
	}

/*	Box
 *	---------------------------------------- */		
	add_shortcode('box', 'aero_box');
	function aero_box( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'style' => 'success'
		), $atts));
	
		return '<div class="box '.$style.'">' . do_shortcode($content) . '</div>';
	}

/*	Dropcap
 *	---------------------------------------- */		
	add_shortcode('dropcap', 'aero_dropcap');
	function aero_dropcap( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'style' => 'dropcap'
		), $atts));
	
		return '<span class="'.$style.'">' . do_shortcode($content) . '</span>';
	}
	
/*	Divider
 *	---------------------------------------- */		
	add_shortcode('divider', 'aero_divider');
	function aero_divider( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'style' => 'solid'
		), $atts));
	
		return '<div class="divider '.$style.'"></div>';
	}
	
/*	Audio
 *	---------------------------------------- */		
	add_shortcode('audio', 'aero_audio');
	function aero_audio( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'format' => '',
			'url' => '',
			'id' => ''
		), $atts));
	
		return aero_print_audio_player('file='.$url.'&format='.$format.'&prefix=audio_'.$id.'_sc');
		
	}
?>