<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	/* Access to metabox data. */
	global $portfolio_meta;
	$portfolio_meta = get_post_meta(get_the_ID(), $portfolio_meta->get_the_id(), true);
	
	/* Thumbnail Settings */
	$size = 'full';
	$type = 'lightbox';
	?>
	<header class="entry-header clearfix">
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<div class="entry-meta clearfix">
			<span class="entry-date"><?php _e('Posted on ', TXTDOMAIN) . the_time(get_option('date_format')); ?></span>
			<span class="entry-author"><?php _e('by ', TXTDOMAIN); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php the_author(); ?></a></span>
		</div>
	</header><!-- .entry-header -->
		
	<div class="entry-asset clearfix">
		<?php echo aero_print_thumbnail('size='.$size.'&type='.$type); ?>
	</div>
		
	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages',TXTDOMAIN).':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
		<?php edit_post_link(__('<p>Edit this post</p>',TXTDOMAIN)); ?>
	</div><!-- .entry-content -->
						
	<footer class="entry-footer">
		<div class="entry-meta clearfix">
			<div class="left">
				<?php echo get_the_term_list( $post->ID, 'portfolio_type', '<strong>Type: </strong>', ', ', '' ); ?></br>
				<?php echo '<strong>Skills Needed: </strong>' . $portfolio_meta['skills_needed']; ?>
			</div>
				
			<div class="right">
				<?php echo '<strong>Client: </strong>' . $portfolio_meta['client']; ?></br>
				<?php echo '<strong>Project URL: </strong><a href="' . $portfolio_meta['project_url'] .'" title="">' . $portfolio_meta['project_url'] .'</a>'; ?></br>
			</div>
		</div>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->