<?php get_header(); ?>

	<?php
	/* Access to metabox data. */
	global $page_meta;
	$meta = get_post_meta(get_the_ID(), $page_meta->get_the_id(), true);
	switch ( $meta['page_layout'] ) {
		case '1col':
			$primary_class = 'grid_12';		
			break;
				
		case '2cl':
			$primary_class = 'grid_8 right';	
			break;
				
		default:
			$primary_class = 'grid_8';	
			break;	
	} 
	?>

	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<div id="content" class="<?php echo $primary_class; ?> alpha omega">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="post-box <?php echo $primary_class; ?> alpha omega clearfix">
					<?php get_template_part('content', 'page'); ?>
				</div>
				
				<div class="<?php echo $primary_class; ?> alpha omega clearfix">
					<?php if ( comments_open() ) : comments_template( '', true ); endif; ?>
				</div>
			<?php endwhile; ?>
		</div><!--#content-->
	</div><!--#primary-->	
	
	<?php if ( $meta['page_layout'] != '1col' ) : ?>
		<?php get_sidebar('page'); ?>
	<?php endif; ?>
	
<?php get_footer(); ?>